package it.integry.integrywmsnative.gest.accettazione.dto;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.secondary.GestioneEnum;

public class SitArtOrdDTO {
    private String codJcom;
    private String codMart;
    private String codCol;
    private String codTagl;
    private String codAlis;
    private String codArtFor;
    private BigDecimal qtaOrd;
    private BigDecimal numCnfOrd;
    private BigDecimal qtaCnfOrd;
    private BigDecimal qtaEvasa;
    private BigDecimal qtaDaEvadere;
    private BigDecimal numCnfDaEvadere;
    private BigDecimal qtaRiservata;
    private String untOrd;
    private String codMdep;
    private String dataOrd;
    private int numOrd;
    private String gestione;
    private int rigaOrd;
    private String codAnagOrd;
    private String ragSocOrd;
    private String codAnagCom;
    private String ragSocCom;
    private String rifOrd;
    private String descrizioneCommessa;
    private String termCons;
    private String descrizioneEstesaArt;

    public String getCodJcom() {
        return codJcom;
    }

    public SitArtOrdDTO setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public SitArtOrdDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodCol() {
        return codCol;
    }

    public SitArtOrdDTO setCodCol(String codCol) {
        this.codCol = codCol;
        return this;
    }

    public String getCodTagl() {
        return codTagl;
    }

    public SitArtOrdDTO setCodTagl(String codTagl) {
        this.codTagl = codTagl;
        return this;
    }

    public String getCodAlis() {
        return codAlis;
    }

    public SitArtOrdDTO setCodAlis(String codAlis) {
        this.codAlis = codAlis;
        return this;
    }

    public String getCodArtFor() {
        return codArtFor;
    }

    public SitArtOrdDTO setCodArtFor(String codArtFor) {
        this.codArtFor = codArtFor;
        return this;
    }

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public SitArtOrdDTO setQtaOrd(BigDecimal qtaOrd) {
        this.qtaOrd = qtaOrd;
        return this;
    }

    public BigDecimal getNumCnfOrd() {
        return numCnfOrd;
    }

    public SitArtOrdDTO setNumCnfOrd(BigDecimal numCnfOrd) {
        this.numCnfOrd = numCnfOrd;
        return this;
    }

    public BigDecimal getQtaCnfOrd() {
        return qtaCnfOrd;
    }

    public SitArtOrdDTO setQtaCnfOrd(BigDecimal qtaCnfOrd) {
        this.qtaCnfOrd = qtaCnfOrd;
        return this;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public SitArtOrdDTO setQtaEvasa(BigDecimal qtaEvasa) {
        this.qtaEvasa = qtaEvasa;
        return this;
    }

    public BigDecimal getQtaDaEvadere() {
        return qtaDaEvadere;
    }

    public SitArtOrdDTO setQtaDaEvadere(BigDecimal qtaDaEvadere) {
        this.qtaDaEvadere = qtaDaEvadere;
        return this;
    }

    public BigDecimal getNumCnfDaEvadere() {
        return numCnfDaEvadere;
    }

    public SitArtOrdDTO setNumCnfDaEvadere(BigDecimal numCnfDaEvadere) {
        this.numCnfDaEvadere = numCnfDaEvadere;
        return this;
    }

    public BigDecimal getQtaRiservata() {
        return qtaRiservata;
    }

    public SitArtOrdDTO setQtaRiservata(BigDecimal qtaRiservata) {
        this.qtaRiservata = qtaRiservata;
        return this;
    }

    public String getUntOrd() {
        return untOrd;
    }

    public SitArtOrdDTO setUntOrd(String untOrd) {
        this.untOrd = untOrd;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public SitArtOrdDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getDataOrd() {
        return dataOrd;
    }

    public SitArtOrdDTO setDataOrd(String dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public int getNumOrd() {
        return numOrd;
    }

    public SitArtOrdDTO setNumOrd(int numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public GestioneEnum getGestioneEnum() {
        return GestioneEnum.fromString(gestione);
    }

    public SitArtOrdDTO setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public int getRigaOrd() {
        return rigaOrd;
    }

    public SitArtOrdDTO setRigaOrd(int rigaOrd) {
        this.rigaOrd = rigaOrd;
        return this;
    }

    public String getCodAnagOrd() {
        return codAnagOrd;
    }

    public SitArtOrdDTO setCodAnagOrd(String codAnagOrd) {
        this.codAnagOrd = codAnagOrd;
        return this;
    }

    public String getRagSocOrd() {
        return ragSocOrd;
    }

    public SitArtOrdDTO setRagSocOrd(String ragSocOrd) {
        this.ragSocOrd = ragSocOrd;
        return this;
    }

    public String getCodAnagCom() {
        return codAnagCom;
    }

    public SitArtOrdDTO setCodAnagCom(String codAnagCom) {
        this.codAnagCom = codAnagCom;
        return this;
    }

    public String getRagSocCom() {
        return ragSocCom;
    }

    public SitArtOrdDTO setRagSocCom(String ragSocCom) {
        this.ragSocCom = ragSocCom;
        return this;
    }

    public String getRifOrd() {
        return rifOrd;
    }

    public SitArtOrdDTO setRifOrd(String rifOrd) {
        this.rifOrd = rifOrd;
        return this;
    }

    public String getDescrizioneCommessa() {
        return descrizioneCommessa;
    }

    public SitArtOrdDTO setDescrizioneCommessa(String descrizioneCommessa) {
        this.descrizioneCommessa = descrizioneCommessa;
        return this;
    }

    public String getTermCons() {
        return termCons;
    }

    public SitArtOrdDTO setTermCons(String termCons) {
        this.termCons = termCons;
        return this;
    }

    public String getDescrizioneEstesaArt() {
        return descrizioneEstesaArt;
    }

    public SitArtOrdDTO setDescrizioneEstesaArt(String descrizioneEstesaArt) {
        this.descrizioneEstesaArt = descrizioneEstesaArt;
        return this;
    }
}
